
exports.seed = async function (knex, Promise) {
    // Deletes ALL existing entries
    await knex('messages_announcements').del();
    // Inserts seed entries
    const announcements = [{
        title: "Fissurer c'est bien",
        content: "Les nouveaux ordis du JTX sont arrivés ! Le BR aide à les installer ;)",
        authors: ['br'],
        recipients: ['jtx']
    },{
        title: "Proj'et Promotion",
        content: "La nouvelle proj' du JTX arrive !",
        authors: ['jtx']
    },{
        title: "Fête de la Lune",
        content: "C'est bientôt la fête de la Lune ! Inscrivez-vous pour un dîner-spectacle dans le Grand Hall !",
        authors: ['x-chine']
    },{
        title: "Formation Web",
        content: "Envie d'apprendre à faire un site Web en Django ? Alors viens en amphi Sauvy ce jeudi à 20h !",
        authors: ['br']
    },{
        title: "Journées FedeRez",
        content: "Cette année, nous parlerons de vie privée, protection des données et sécurité",
        authors: ['federez']
    }
    ];
    for(let announcement of announcements){
        let mid = (await knex('messages_announcements').insert({title:announcement.title, content:announcement.content}, ["mid"]))[0].mid;
        if(announcements.authors)
            await knex('announcements_authors').insert(announcement.authors.map(obj => ({mid:mid, gid:obj})));
        if(announcements.recipients)
            await knex('announcements_recipients').insert(announcement.recipients.map(obj => ({mid:mid, gid:obj})));
    }
    console.log("finished running 04_dummy_announcements");
    return;
};
